<?php
/**
* @package Mambo Open Source
* @copyright (C) 2005 - 2006 Mambo Foundation Inc.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
* Mambo was originally developed by Miro (www.miro.com.au) in 2000. Miro assigned the copyright in Mambo to The Mambo Foundation in 2005 to ensure
* that Mambo remained free Open Source software owned and managed by the community.
* Mambo is Free Software
*/ 

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

if (!function_exists( 'array_change_key_case' )) {
	if (!defined('CASE_LOWER')) {
	    define('CASE_LOWER', 0);
	}
	if (!defined('CASE_UPPER')) {
	    define('CASE_UPPER', 1);
	}
	function array_change_key_case( $input, $case=CASE_LOWER ) {
	    if (!is_array( $input )) {
	        return false;
		}
		$array = array();
		foreach ($input as $k=>$v) {
			if ($case) {
			    $array[strtoupper( $k )] = $v;
			} else {
			    $array[strtolower( $k )] = $v;
			}
		}
		return $array;
	}
}
?>